---

wireguard_port: 51820
wireguard_ext_ipv4: "{{ ansible_default_ipv4.address }}"

wireguard_packages:
  - wireguard
  - openresolv
  # - wireguard-tools

wireguard_add_kernel_modules: true

wireguard_ip_forwarding:
  - net.ipv4.ip_forward
  # - net.ipv4.conf.all.forwarding
  # - net.ipv6.conf.all.forwarding

# Maximum number of allowed connection tracking entries
wireguard_nf_conntrack_table_size: "524288"

### Wireguard server and clients configuration
wireguard_templates_path: "{{ role_path }}/templates"
wireguard_config_directory: "/etc/wireguard"
wireguard_client_config_dir: "{{ wireguard_config_directory }}/clients"

wireguard_server_config:
  name: wg0 # wireguard interface and config file name
  config_path: "{{ wireguard_config_directory }}"
  address: "10.222.0.1/24"
  # iptabes_rules:
  #   - "PostUp = iptables -t nat -A POSTROUTING -o {{ ansible_default_ipv4.interface }} -j MASQUERADE"
  #   - "PostDown = iptables -t nat -D POSTROUTING -o {{ ansible_default_ipv4.interface }} -j MASQUERADE"
  # save_config: true

wireguard_peer_config:
  - name: client_1
    address: "10.222.0.2/32"
    allowed_ips: "0.0.0.0/0"
    dns: "8.8.8.8, 1.1.1.1"  # optional
    keep_alive: "30"         # optional
  - name: client_2
    address: "10.222.0.3/32"
    allowed_ips: "0.0.0.0/0"
